export interface PaymentStrategy {
    Pay(amount: number): PaymentResult
}

export class PaymentResult {
    success: boolean

    constructor(success: boolean) {
        this.success = success;
    }
}

export class CreditCardStrategy implements PaymentStrategy{
    Pay(amount: number): PaymentResult {
        console.log("pay with CreaitCard")
        return new PaymentResult(true);
    }

}
